Page MenuHomePhabricator

Test swift object server deployment with one disk per tcp port
Closed, ResolvedPublic

Description

Next FY there will be new swift hardware coming in, it'd be a great occasion to try running one/multiple object-server per disk/port to decrease the impact of slow disks and ease contention. This setting is named servers_per_port in swift.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2019, 2:19 PM

Change 539504 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] swift: introduce servers_per_port for object-server

https://gerrit.wikimedia.org/r/539504

Change 539504 merged by Filippo Giunchedi:
[operations/puppet@production] swift: introduce servers_per_port for object-server

https://gerrit.wikimedia.org/r/539504

Change 540196 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] hieradata: enable swift servers per port for new codfw hardware

https://gerrit.wikimedia.org/r/540196

Change 540196 merged by Filippo Giunchedi:
[operations/puppet@production] hieradata: enable swift servers per port for new codfw hardware

https://gerrit.wikimedia.org/r/540196

Change 540213 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/software/swift-ring@master] codfw-prod: add ms-be2051, minimal weight and servers_per_port

https://gerrit.wikimedia.org/r/540213

Change 540213 merged by Filippo Giunchedi:
[operations/software/swift-ring@master] codfw-prod: add ms-be2051, minimal weight and servers_per_port

https://gerrit.wikimedia.org/r/540213

Mentioned in SAL (#wikimedia-operations) [2019-10-01T21:34:40Z] <godog> swift codfw-prod: add ms-be2051 with minimal weight - T233638 T222366

Change 541916 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] hieradata: use servers _per_port with ms-be105[1-6]

https://gerrit.wikimedia.org/r/541916

Change 541916 merged by Filippo Giunchedi:
[operations/puppet@production] hieradata: use servers _per_port with ms-be105[1-6]

https://gerrit.wikimedia.org/r/541916

fgiunchedi moved this task from Backlog to Doing on the User-fgiunchedi board.Oct 10 2019, 8:26 PM

Change 546952 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/software/swift-ring@master] swift-add-machine: use per-port devices

https://gerrit.wikimedia.org/r/546952

Testing is successful and new hosts are running with the setting applied!

Change 546956 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] swift: default to multiple object servers per port

https://gerrit.wikimedia.org/r/546956

Change 546952 merged by CDanis:
[operations/software/swift-ring@master] swift-add-machine: use per-port devices

https://gerrit.wikimedia.org/r/546952

Change 546956 merged by Filippo Giunchedi:
[operations/puppet@production] swift: default to multiple object servers per port

https://gerrit.wikimedia.org/r/546956

fgiunchedi closed this task as Resolved.Oct 30 2019, 9:40 AM
fgiunchedi claimed this task.

The default going forward is going to be multiple servers per port, existing hosts have been adapted to use the old default and I'm resolving the task